Skip to main content
GET
/
locations
List Locations
curl --request GET \
  --url https://api.loopreturns.com/api/v1/locations \
  --header 'X-Authorization: <api-key>'
import requests

url = "https://api.loopreturns.com/api/v1/locations"

headers = {"X-Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Authorization': '<api-key>'}};

fetch('https://api.loopreturns.com/api/v1/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "locations": [
    {
      "id": 123,
      "sales_channel": "<string>",
      "name": "<string>",
      "address": {
        "name": "<string>",
        "company": "<string>",
        "address1": "<string>",
        "address2": "<string>",
        "city": "<string>",
        "region": "<string>",
        "postal_code": "<string>",
        "country_code": "<string>"
      },
      "external_id": "<string>"
    }
  ],
  "next_page_url": "<string>",
  "previous_page_url": "<string>"
}
{
"errors": "<string>"
}

Authorizations

X-Authorization
string
header
required

API Scope: "Locations (read)"

Query Parameters

external_id
string

An external_id used to filter the locations.

Maximum string length: 64
limit
integer
default:50

The maximum number of locations returned.

Required range: x <= 250
sort_order
enum<string>
default:asc

The sort order for the results.

Available options:
asc,
desc
cursor
string

The cursor to return the next page of results.

Response

Success

locations
object[]
required
next_page_url
string | null
previous_page_url
string | null